## rootskel-gtk 0.06

=== src/usr/Makefile ===
dir = usr

subdirs = \
	share

include ../../Makefile.inc

=== src/etc/gtk-2.0/Makefile ===
dir = etc/gtk-2.0

files = \
	gdk-pixbuf.loaders \
	gtk.immodules \
	gtkrc

include ../../../Makefile.inc

=== src/lib/debian-installer.d/Makefile ===
dir = lib/debian-installer.d

DEB_HOST_ARCH_CPU   := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU 2>/dev/null)
DEB_HOST_ARCH_OS    := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)

# Take account of old dpkg-architecture output.
ifeq ($(DEB_HOST_ARCH_CPU),)
  DEB_HOST_ARCH_CPU   := $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
  ifeq ($(DEB_HOST_ARCH_CPU),x86_64)
    DEB_HOST_ARCH_CPU   := amd64
  endif
endif
ifeq ($(DEB_HOST_ARCH_OS),)
  DEB_HOST_ARCH_OS    := $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
endif

files = \
	S65fontconfig

ifneq (,$(filter i386 amd64,$(DEB_HOST_ARCH_CPU)))
   files += \
	S61mouse-support-x86
endif
ifneq (,$(filter powerpc,$(DEB_HOST_ARCH_CPU)))
   files += \
	S61mouse-support-powerpc
endif

include ../../../Makefile.inc

=== src/usr/share/Makefile ===
dir = usr/share

subdirs = \
	graphics

include ../../../Makefile.inc

=== debian/changelog ===
rootskel-gtk (0.06) unstable; urgency=low

  * Build for all arches, except m68k and s/390.

 -- Frans Pop <fjp@debian.org>  Wed, 11 Jan 2006 23:16:59 +0100

rootskel-gtk (0.05) unstable; urgency=low

  [ Sven Luther ]
  * Adapted to chrp_rs6k -> chrp_ibm transition.

  [ Frans Pop ]
  * Remove symlink for loaders directory as the loaders are now in the proper
    directory in the libgtk+2.0-directfb0 udeb.

  [ Attilio Fiandrotti ]
  * Added /etc/directfbrc configuration file for DirectFrameBuffer to store
    screenshots into /var/log (closes: #341880).

 -- Frans Pop <fjp@debian.org>  Mon, 26 Dec 2005 16:12:10 +0100

rootskel-gtk (0.04) unstable; urgency=low

  * Load mouse modules for powerpc.

 -- Frans Pop <fjp@debian.org>  Mon,  7 Nov 2005 15:35:07 +0100

rootskel-gtk (0.03) unstable; urgency=low

  * Add new icons created by Eduardo Silva.

 -- Frans Pop <fjp@debian.org>  Thu,  3 Nov 2005 19:19:41 +0100

rootskel-gtk (0.02) unstable; urgency=low

  * Use dh_link to create symlinks.
  * Make init script to load mouse modules arch-dependent.
  * Build for more architectures.

 -- Frans Pop <fjp@debian.org>  Tue, 18 Oct 2005 19:38:28 +0200

rootskel-gtk (0.01) unstable; urgency=low

  * Initial release

 -- Frans Pop <fjp@debian.org>  Sat,  6 Aug 2005 16:53:55 +0200

=== debian/control ===
Source: rootskel-gtk
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Frans Pop <fjp@debian.org>
Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.7.0)

Package: rootskel-gtk
XC-Package-Type: udeb
Architecture: alpha amd64 arm hppa i386 ia64 mips mipsel powerpc sparc
Depends: rootskel, mouse-modules
Description: Additions for graphical installation to skeleton root filesystem used by debian-installer

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR=$(CURDIR)/debian/rootskel-gtk/

build: build-stamp
build-stamp:
	dh_testdir

	$(MAKE) build

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot

	$(MAKE) install
	dh_link etc usr/local/etc

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## rootskel-gtk 0.08

=== src/lib/debian-installer.d/Makefile ===
--- 
+++ 
@@ -14,8 +14,7 @@
   DEB_HOST_ARCH_OS    := $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
 endif
 
-files = \
-	S65fontconfig
+files = 
 
 ifneq (,$(filter i386 amd64,$(DEB_HOST_ARCH_CPU)))
    files += \

=== debian/changelog ===
rootskel-gtk (0.08) unstable; urgency=low

  [ Attilio Fiandrotti ]
  * Disable DFB's linux_input module to make touchpads work.
    Closes: #372892, #372773.

 -- Frans Pop <fjp@debian.org>  Wed, 21 Jun 2006 14:06:27 +0200

rootskel-gtk (0.07) unstable; urgency=low

  [ Frans Pop ]
  * Add scripts to set font and theme.
  * Drop the 65fontconfig script: fc-cache is no longer included in the
    fontconfig udeb and its maintainer tells us that running fc-cache is
    not really needed for the installer anyway.

  [ Joey Hess ]
  * Add kfreebsd to arch list. Closes: #363661.

  [ Davide Viti ]
  * Change default font to Dejavu at 11pt.

 -- Frans Pop <fjp@debian.org>  Thu, 18 May 2006 00:54:36 +0200

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,6 @@
 
 Package: rootskel-gtk
 XC-Package-Type: udeb
-Architecture: alpha amd64 arm hppa i386 ia64 mips mipsel powerpc sparc
+Architecture: alpha amd64 arm hppa i386 ia64 mips mipsel powerpc sparc kfreebsd-i386 kfreebsd-amd64
 Depends: rootskel, mouse-modules
 Description: Additions for graphical installation to skeleton root filesystem used by debian-installer

## rootskel-gtk 1.03

=== debian/changelog ===
rootskel-gtk (1.03) unstable; urgency=low

  * gtk-set-font: using grep's -s option is so much more elegant.
  * Disable directfb ps2mouse module (except for powerpc) because it can
    freeze the system while the linux_input module does not. This is needed
    only now as CONFIG_INPUT_MOUSEDEV was enabled by default in 2.6.18 which
    "activated" the ps2mouse directfb module. Thanks to Attilio Fiandrotti for
    providing the solution. Closes: #403268.

 -- Frans Pop <fjp@debian.org>  Sat, 16 Dec 2006 11:25:46 +0100

rootskel-gtk (1.02) unstable; urgency=low

  * Disable directfb keyboard module (except for powerpc) because that
    currently provides better keymap support. Workaround for #395257.
    Thanks to Attilio Fiandrotti for his research on this.
  * Add "dark" accessibility theme created by Denis Barbier.
    Requires fontconfig-udeb 2.4.2-1.
  * For x86, check that VESA framebuffer is available and configure directfb
    to use the correct framebuffer device if it is not on /dev/fb0.
    Based on patches from. Closes: #401685.
  * gtk-set-font: update fonts and fontsizes to be set.

 -- Frans Pop <fjp@debian.org>  Mon, 11 Dec 2006 23:44:07 +0100

rootskel-gtk (1.01) unstable; urgency=low

  * Don't fail if evdev or psmouse modules cannot be loaded as they may be
    compiled into the kernel. Closes: #396482.
  * Add support for mouse/left boot parameter to enable left-handed mouse.
    Closes: #396463.
  * Remove workaround for fr-latin9 keymap from 0.14; keymap was modified.

 -- Frans Pop <fjp@debian.org>  Wed, 22 Nov 2006 18:04:39 +0100

rootskel-gtk (1.00) unstable; urgency=low

  * Use red in Clearlooks theme to match logo.
  * Version bump.

 -- Frans Pop <fjp@debian.org>  Tue, 24 Oct 2006 16:33:57 +0200

rootskel-gtk (0.14) unstable; urgency=low

  * Add workaround for non-working shift key in fr-latin9 keymap (#339352).

 -- Frans Pop <fjp@debian.org>  Tue, 17 Oct 2006 00:24:50 +0200

rootskel-gtk (0.13) unstable; urgency=low

  * Set default theme to Clearlooks and include config file for that.

 -- Frans Pop <fjp@debian.org>  Sat, 14 Oct 2006 12:51:42 +0200

rootskel-gtk (0.12) unstable; urgency=low

  [ Attilio Fiandrotti ]
  * Made DirectFB backgound colour consistent with GTK's. Closes: #390894.

  [ Frans Pop ]
  * Add temporary hacks to work around directfb breakage on powerpc; based on
    patch from Attilio Fiandrotti. Closes: 390565.

 -- Frans Pop <fjp@debian.org>  Fri,  6 Oct 2006 05:02:22 +0200

rootskel-gtk (0.11) unstable; urgency=low

  * Disable directfb hardware acceleration by default; allow to enable using
    directfb/hw-accel.
  * Drop gdk-pixbuf.loaders as it is now included in gtk udebs.

 -- Frans Pop <fjp@debian.org>  Sat, 23 Sep 2006 17:29:42 +0200

rootskel-gtk (0.10) unstable; urgency=low

  * Improve font/theme switching scripts.
  * Use correct font name for the default configuration: "DejaVu Sans".
  * Add Lintian override for standards-version.

 -- Frans Pop <fjp@debian.org>  Tue, 19 Sep 2006 02:32:39 +0200

rootskel-gtk (0.09) unstable; urgency=low

  * Update for compatibility with GTK 2.8 library.
    - Change default font size to 9pt.
    - Enable linux_input again as otherwise the mouse does not work in vmware.
    - Keep gtk config file gdk-pixbuf.loaders for now because file in gtk udeb
      is empty; remove gtk.immodules as it is no longer needed.
  * Add ppc64 to architecture list.

 -- Frans Pop <fjp@debian.org>  Fri, 11 Aug 2006 19:23:29 +0200

=== debian/control ===
Source: rootskel-gtk
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Frans Pop <fjp@debian.org>
Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.7.0)
XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/rootskel-gtk

Package: rootskel-gtk
XC-Package-Type: udeb
Architecture: alpha amd64 arm hppa i386 ia64 mips mipsel powerpc ppc64 sparc kfreebsd-i386 kfreebsd-amd64
Depends: ${misc:Depends}, rootskel, mouse-modules, gtk2-engines-udeb
Description: Additions for graphical installs to skeleton root filesystem (debian-installer)

## rootskel-gtk 1.06

=== src/lib/debian-installer.d/Makefile ===
--- 
+++ 
@@ -14,15 +14,19 @@
   DEB_HOST_ARCH_OS    := $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
 endif
 
-files = 
+files = \
+	S62directfb-hw-accel \
+	S62directfb-left-handed
 
 ifneq (,$(filter i386 amd64,$(DEB_HOST_ARCH_CPU)))
    files += \
+	S59check-vesa-x86 \
 	S61mouse-support-x86
 endif
 ifneq (,$(filter powerpc,$(DEB_HOST_ARCH_CPU)))
    files += \
-	S61mouse-support-powerpc
+	S61mouse-support-powerpc \
+	S63directfb-linux-powerpc
 endif
 
 include ../../../Makefile.inc

=== debian/changelog ===
rootskel-gtk (1.06) unstable; urgency=low

  * Change udeb to Architecture: any.

 -- Frans Pop <fjp@debian.org>  Tue, 30 Jan 2007 21:29:24 +0100

rootskel-gtk (1.05) unstable; urgency=low

  * S61mouse-support-x86: also load the usbmouse module.

 -- Frans Pop <fjp@debian.org>  Wed, 24 Jan 2007 02:25:37 +0100

rootskel-gtk (1.04) unstable; urgency=low

  * gtk-set-font: make sure FONT_NAME is set even if we're only changing size.
  * gtk-set-font: increase font size for Malayalam.

 -- Frans Pop <fjp@debian.org>  Sun, 24 Dec 2006 01:20:55 +0100

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,6 @@
 
 Package: rootskel-gtk
 XC-Package-Type: udeb
-Architecture: alpha amd64 arm hppa i386 ia64 mips mipsel powerpc ppc64 sparc kfreebsd-i386 kfreebsd-amd64
+Architecture: any
 Depends: ${misc:Depends}, rootskel, mouse-modules, gtk2-engines-udeb
 Description: Additions for graphical installs to skeleton root filesystem (debian-installer)

## rootskel-gtk 1.07

=== debian/changelog ===
rootskel-gtk (1.07) unstable; urgency=low

  * Clearlooks gtkrc: comment out options not supported by directfb.

 -- Frans Pop <fjp@debian.org>  Fri, 06 Jul 2007 00:27:53 +0200

## rootskel-gtk 1.13

=== debian/changelog ===
rootskel-gtk (1.13) unstable; urgency=low

  * Since the switch from kernel 2.6.22-3 to 2.6.24-1 there have been problems
    typing special characters in the graphical frontend when using some
    keymaps. Not disabling the keyboard module in /etc/directfbrc solves this.
    That option was added to workaround an issue that prevented changing
    keymaps, but that still works (#395257). So it appears we can now safely
    use the directfb keyboard module and drop the workaround. Closes: 482335.
    There are still issues with dead keys.

 -- Frans Pop <fjp@debian.org>  Mon, 23 Jun 2008 03:40:51 +0200

rootskel-gtk (1.12) unstable; urgency=low

  [ Frans Pop ]
  * Correct defaults for mouse settings templates.

  [ Jérémy Bobbio ]
  * Add debian-installer.d/S62directfb-cairo-workaround, exporting
    CAIRO_DIRECTFB_NO_ACCEL to work around a repainting issue in
    Cairo/DirectFB (see #477331).

 -- Frans Pop <fjp@debian.org>  Thu, 08 May 2008 18:17:54 +0200

rootskel-gtk (1.11) unstable; urgency=low

  * Use more general "device" instead of "port" for mouse.

 -- Frans Pop <fjp@debian.org>  Sat, 19 Apr 2008 15:03:19 +0200

rootskel-gtk (1.10) unstable; urgency=low

  * Make it possible to preseed the mouse protocol and port for directfb.
    See the man page for directfbrc for supported values for the protocol.
    Closes: #474296.
  * Correct template to check for left-handed mouse support.

 -- Frans Pop <fjp@debian.org>  Sat, 19 Apr 2008 14:00:26 +0200

rootskel-gtk (1.09) unstable; urgency=low

  * gtk-set-font: use debconf/language instead of debian-installer/language
    and allow for the fact that can be a list. Closes: #470259.

 -- Frans Pop <fjp@debian.org>  Tue, 11 Mar 2008 15:46:46 +0100

rootskel-gtk (1.08) unstable; urgency=low

  [ Attilio Fiandrotti ]
  * Since the radeon HW accellerator module is no longer provided by udebs,
    it makes no sense to selectively disable it at boot time.

  [ Frans Pop ]
  * gtk-set-font: select font Abyssinica SIL for Amharic with font size
    increased by 1 point.

 -- Frans Pop <fjp@debian.org>  Sun, 13 Jan 2008 20:42:54 +0100

## rootskel-gtk 1.15

=== src/usr/share/graphics/Makefile ===
dir = usr/share/graphics

files = \
	logo_debian.png \
	note_icon.png \
	warning_icon.png

include ../../../../Makefile.inc

=== debian/changelog ===
rootskel-gtk (1.15) unstable; urgency=low

  [ Ian Campbell ]
  * Accept Xen virtual framebuffer as valid for graphical installation.

 -- Jérémy Bobbio <lunar@debian.org>  Tue, 26 Aug 2008 11:04:11 +0200

rootskel-gtk (1.14) unstable; urgency=low

  [ Jérémy Bobbio ]
  * Silence DirectFB banner by adding the "quiet" option in directfbrc.

 -- Otavio Salvador <otavio@debian.org>  Tue, 29 Jul 2008 12:40:15 -0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Frans Pop <fjp@debian.org>
 Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.7.0)
-XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/rootskel-gtk
+Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/rootskel-gtk
 
 Package: rootskel-gtk
 XC-Package-Type: udeb

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,9 @@
 #!/usr/bin/make -f
 
-DESTDIR=$(CURDIR)/debian/rootskel-gtk/
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+#DESTDIR=$(CURDIR)/debian/rootskel-gtk/
 
-build: build-stamp
+build: build-stamp debian/templates
 build-stamp:
 	dh_testdir
 
@@ -10,12 +11,16 @@
 
 	touch $@
 
+debian/templates: debian/templates-arch
+	debian/templates-build.pl $(DEB_HOST_ARCH) < $< > $@
+
 clean:
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp
 
 	$(MAKE) clean
+	rm -f debian/templates
 
 	dh_clean

## rootskel-gtk 1.16ubuntu1

=== src/etc/Makefile ===
dir = etc

subdirs = \
	gtk-2.0

files = \
	directfbrc

include ../../Makefile.inc

=== src/lib/debian-installer.d/Makefile ===
--- 
+++ 
@@ -16,7 +16,10 @@
 
 files = \
 	S62directfb-hw-accel \
-	S62directfb-left-handed
+	S62directfb-cairo-workaround
+
+files_exec = \
+	S62directfb-mouse-settings
 
 ifneq (,$(filter i386 amd64,$(DEB_HOST_ARCH_CPU)))
    files += \

=== debian/changelog ===
rootskel-gtk (1.16ubuntu1) karmic; urgency=low

  [ Muharem Hrnjadovic ]
  * Resynchronise with Debian. Remaining changes:
    - Add a very basic Ubuntu logo and install it. (Obviously this needs
      attention from a proper artist; this is just a stopgap.)
    - symlink logo_installer.png links to logo_ubuntu.png

  [ Colin Watson ]
  * Revert pkgbinarymangler workaround now that pkgsanitychecks ignores
    udebs.

 -- Muharem Hrnjadovic <muharem@ubuntu.com>  Mon, 15 Jun 2009 12:34:38 +0200

rootskel-gtk (1.16) unstable; urgency=low

  * Add symlink logo_installer.png to logo_debian.png to allow "unbranding" of
    that file name in cdebconf.

 -- Frans Pop <fjp@debian.org>  Fri, 22 May 2009 13:52:27 +0200

rootskel-gtk (1.15ubuntu2) karmic; urgency=low

  * Turn off pkgbinarymangler for dh_builddeb for now; we intentionally ship
    a symlink in /usr/local/etc, and pkgsanitychecks blows up on this.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 06 May 2009 09:59:05 +0100

rootskel-gtk (1.15ubuntu1) karmic; urgency=low

  * Add a very basic Ubuntu logo and install it. (Obviously this needs
    attention from a proper artist; this is just a stopgap.)

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 06 May 2009 01:01:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: rootskel-gtk
 Section: debian-installer
 Priority: optional
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Frans Pop <fjp@debian.org>
 Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.7.0)
-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/rootskel-gtk
+XS-Debian-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/rootskel-gtk
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/rootskel-gtk/ubuntu
 
 Package: rootskel-gtk
 XC-Package-Type: udeb

## rootskel-gtk 1.17ubuntu1

=== debian/changelog ===
rootskel-gtk (1.17ubuntu1) lucid; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Add a very basic Ubuntu logo and install it. (Obviously this needs
      attention from a proper artist; this is just a stopgap.)
    - Symlink logo_installer.png links to logo_ubuntu.png.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 05 Dec 2009 21:20:12 +0000

rootskel-gtk (1.17) unstable; urgency=low

  [ Colin Watson ]
  * Upgrade to debhelper v7.

  [ Frans Pop ]
  * Remove no longer needed Lintian override for missing Standards-
    Version field.
  * No longer create the /usr/local/etc->/etc symlink. It was added to
    suppress a message on VT1 when directfb is loaded, but that is no longer
    displayed because we now set the 'quiet' option in /etc/directfbrc.
    Closes: #552584.

 -- Frans Pop <fjp@debian.org>  Wed, 28 Oct 2009 16:52:12 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Frans Pop <fjp@debian.org>
-Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.7.0)
+Build-Depends: debhelper (>= 7.0.0), dpkg-dev (>= 1.7.0)
 XS-Debian-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/rootskel-gtk
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/rootskel-gtk/ubuntu

## rootskel-gtk 1.19ubuntu1

=== debian/changelog ===
rootskel-gtk (1.19ubuntu1) maverick; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Add a very basic Ubuntu logo and install it.  (Obviously this needs
      attention from a proper artist; this is just a stopgap.)
    - Symlink logo_installer.png links to logo_ubuntu.png.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 11 May 2010 16:56:28 +0200

rootskel-gtk (1.19) unstable; urgency=low

  [ Frans Pop ]
  * Drop dependency on gtk2-engines-udeb and mouse-modules. Leave it to
    pkg-lists to include them instead.

  [ Julien Cristau ]
  * Only start X if we're using the GTK frontend. Also try to not start X
    clients before the server is ready to accept connections. Closes: #575751.

 -- Frans Pop <fjp@debian.org>  Sun, 04 Apr 2010 19:00:22 +0200

rootskel-gtk (1.18) unstable; urgency=low

  [ Julien Cristau / Frans Pop ]
  * Switch to X.Org instead of DirectFB as backend (closes: #574288):
    - No longer install directfb-related files, but keep them in the source
      for now.
    - src/lib/debian-installer.d/S62Xorg: new script to start the X server.

 -- Frans Pop <fjp@debian.org>  Wed, 24 Mar 2010 02:10:09 +0100

## rootskel-gtk 1.20ubuntu1

=== debian/changelog ===
rootskel-gtk (1.20ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Add a very basic Ubuntu logo and install it.  (Obviously this needs
      attention from a proper artist; this is just a stopgap.)
    - Symlink logo_installer.png links to logo_ubuntu.png.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 12 Oct 2010 12:28:48 +0100

rootskel-gtk (1.20) unstable; urgency=low

  * Do not start Xorg when running in live-installer.

 -- Otavio Salvador <otavio@debian.org>  Tue, 27 Jul 2010 02:20:28 -0300

=== debian/control ===
--- 
+++ 
@@ -11,5 +11,5 @@
 Package: rootskel-gtk
 XC-Package-Type: udeb
 Architecture: any
-Depends: ${misc:Depends}, rootskel, mouse-modules, gtk2-engines-udeb
+Depends: ${misc:Depends}, rootskel
 Description: Additions for graphical installs to skeleton root filesystem (debian-installer)

## rootskel-gtk 1.21

=== src/lib/debian-installer.d/Makefile ===
--- 
+++ 
@@ -15,21 +15,15 @@
 endif
 
 files = \
-	S62directfb-hw-accel \
-	S62directfb-cairo-workaround
-
-files_exec = \
-	S62directfb-mouse-settings
+	S62Xorg
 
 ifneq (,$(filter i386 amd64,$(DEB_HOST_ARCH_CPU)))
    files += \
-	S59check-vesa-x86 \
 	S61mouse-support-x86
 endif
 ifneq (,$(filter powerpc,$(DEB_HOST_ARCH_CPU)))
    files += \
-	S61mouse-support-powerpc \
-	S63directfb-linux-powerpc
+	S61mouse-support-powerpc
 endif
 
 include ../../../Makefile.inc

=== src/usr/share/graphics/Makefile ===
--- 
+++ 
@@ -5,4 +5,7 @@
 	note_icon.png \
 	warning_icon.png
 
+install-local:: $(outdir)
+	ln -fs logo_debian.png $(outdir)/logo_installer.png
+
 include ../../../../Makefile.inc

=== debian/changelog ===
rootskel-gtk (1.21) unstable; urgency=low

  * Use SpaceFun theme for installer.

 -- Otavio Salvador <otavio@debian.org>  Sun, 12 Dec 2010 19:26:38 -0200

=== debian/control ===
Source: rootskel-gtk
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Frans Pop <fjp@debian.org>
Build-Depends: debhelper (>= 7.0.0), dpkg-dev (>= 1.7.0)
Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/rootskel-gtk

Package: rootskel-gtk
XC-Package-Type: udeb
Architecture: any
Depends: ${misc:Depends}, rootskel
Description: Additions for graphical installs to skeleton root filesystem (debian-installer)

## rootskel-gtk 1.22ubuntu1

=== debian/changelog ===
rootskel-gtk (1.22ubuntu1) oneiric; urgency=low

  * Merge from debian unstable. (LP: #776698)  Remaining changes:
    - Add Ubuntu logo.

 -- Jean-Louis Dupond <jean-louis@dupond.be>  Mon, 02 May 2011 13:16:02 +0100

rootskel-gtk (1.22) unstable; urgency=low

  [ Miguel Figueiredo ]
  * Move mouse-x86 to mouse-linux as it nows depends on the OS and not on the
    CPU. Closes: #596584.
  * Remove unused powerpc reference. Part of #596584.

  [ Christian Perrier ]
  * gtk-set-font: select font UKIJ Tuz for Uyghur with font size
    increased by 1 point.

 -- Christian Perrier <bubulle@debian.org>  Sun, 01 May 2011 17:24:30 +0200

=== debian/control ===
Source: rootskel-gtk
Section: debian-installer
Priority: optional
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Build-Depends: debhelper (>= 7.0.0), dpkg-dev (>= 1.7.0)
XS-Debian-Vcs-Browser: http://git.debian.org/?p=d-i/rootskel-gtk.git
XS-Debian-Vcs-Git: git://git.debian.org/d-i/rootskel-gtk.git
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/rootskel-gtk/ubuntu

Package: rootskel-gtk
XC-Package-Type: udeb
Architecture: any
Depends: ${misc:Depends}, rootskel
Description: Additions for graphical installs to skeleton root filesystem (debian-installer)

## rootskel-gtk 1.23

=== debian/changelog ===
rootskel-gtk (1.23) unstable; urgency=low

  * Team upload

  [ Samuel Thibault ]
  * Pass -terminate option to X server, so that brltty can nicely kill debconf
    and see Xorg terminate as a consequence.

  [ Christian Perrier ]
  * Increase font size for Kannada. Closes: #646906
  * Set myself as Uploader

 -- Christian Perrier <bubulle@sesostris.kheops.frmug.org>  Fri, 28 Oct 2011 18:26:27 +0200

=== debian/control ===
Source: rootskel-gtk
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Christian Perrier <bubulle@debian.org>
Build-Depends: debhelper (>= 7.0.0), dpkg-dev (>= 1.7.0)
Vcs-Browser: http://git.debian.org/?p=d-i/rootskel-gtk.git
Vcs-Git: git://git.debian.org/d-i/rootskel-gtk.git

Package: rootskel-gtk
XC-Package-Type: udeb
Architecture: any
Depends: ${misc:Depends}, rootskel
Description: Additions for graphical installs to skeleton root filesystem (debian-installer)

## rootskel-gtk 1.23ubuntu1

=== src/usr/Makefile ===
dir = usr

subdirs = \
	bin \
	share

include ../../Makefile.inc

=== src/etc/gtk-2.0/Makefile ===
dir = etc/gtk-2.0

files = \
	gtkrc

include ../../../Makefile.inc

=== src/lib/debian-installer.d/Makefile ===
dir = lib/debian-installer.d

DEB_HOST_ARCH_OS    := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)

ifeq ($(DEB_HOST_ARCH_OS),)
  DEB_HOST_ARCH_OS    := $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
endif

files = \
	S62Xorg

ifeq ($(DEB_HOST_ARCH_CPU),linux)
   files += \
	S61mouse-support-linux
endif

include ../../../Makefile.inc

=== src/usr/share/graphics/Makefile ===
dir = usr/share/graphics

files = \
	logo_ubuntu.png \
	note_icon.png \
	warning_icon.png

install-local:: $(outdir)
	ln -fs logo_ubuntu.png $(outdir)/logo_installer.png

include ../../../../Makefile.inc

=== debian/changelog ===
rootskel-gtk (1.23ubuntu1) precise; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Add Ubuntu logo.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 27 Nov 2011 10:23:05 +0000

=== debian/control ===
Source: rootskel-gtk
Section: debian-installer
Priority: optional
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Christian Perrier <bubulle@debian.org>
Build-Depends: debhelper (>= 7.0.0), dpkg-dev (>= 1.7.0)
XS-Debian-Vcs-Browser: http://git.debian.org/?p=d-i/rootskel-gtk.git
XS-Debian-Vcs-Git: git://git.debian.org/d-i/rootskel-gtk.git
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/rootskel-gtk/ubuntu

Package: rootskel-gtk
XC-Package-Type: udeb
Architecture: any
Depends: ${misc:Depends}, rootskel
Description: Additions for graphical installs to skeleton root filesystem (debian-installer)

=== debian/rules ===
#! /usr/bin/make -f
%:
	dh $@

build: debian/templates

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

debian/templates: debian/templates-arch
	debian/templates-build.pl $(DEB_HOST_ARCH) < $< > $@

## rootskel-gtk 1.27

=== src/usr/share/graphics/Makefile ===
dir = usr/share/graphics

files = \
	logo_debian.png \
	note_icon.png \
	warning_icon.png

build-local:: $(files)

clean-local::
	rm -f logo_debian.png

install-local:: $(outdir)
	ln -fs logo_debian.png $(outdir)/logo_installer.png

logo_debian.png: logo_debian_joy.svg
	rsvg-convert $< > $@

include ../../../../Makefile.inc

=== debian/changelog ===
rootskel-gtk (1.27) unstable; urgency=low

  * Team upload.
  * Revert passing -terminate to the X server, to unbreak theme=dark.
    brltty starting from 4.4-8 terminates X instead of debconf, so it's not
    needed any more. Closes: #696968.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 06 Jan 2013 01:10:10 +0100

rootskel-gtk (1.26) unstable; urgency=low

  * Apply patch from Paul Tagliamonte to update the banner: the Debian
    logo is now DFSG-free, yay!
  * Update TODO: symlinks were removed in 1.16 and 1.17.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 17 Sep 2012 17:18:20 +0200

rootskel-gtk (1.25) unstable; urgency=low

  [ Julien Cristau ]
  * Generate the png banner from source at build time.

  [ Christian Perrier ]
  * Replace XC-Package-Type by Package-Type

 -- Christian Perrier <bubulle@debian.org>  Sun, 05 Aug 2012 12:15:46 +0200

rootskel-gtk (1.24) unstable; urgency=low

  * Team upload.

  [ Christian Perrier ]
  * Use Tibetan Machine Uni font for Tibetan

  [ Julien Cristau ]
  * Generate debian/templates in build-arch as well as build, so it doesn't
    go missing on binary-only builds.
  
  [ Joey Hess ]
  * Revert changes made to use spacefun theme in installer.

  [ Didier Raboud ]
  * Use the Wheezy Joy theme for the installer.

 -- Didier Raboud <odyx@debian.org>  Sat, 07 Jul 2012 13:58:12 -0600

=== debian/control ===
Source: rootskel-gtk
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Christian Perrier <bubulle@debian.org>
Build-Depends: debhelper (>= 7.0.0), dpkg-dev (>= 1.7.0), librsvg2-bin
Vcs-Browser: http://git.debian.org/?p=d-i/rootskel-gtk.git
Vcs-Git: git://git.debian.org/d-i/rootskel-gtk.git

Package: rootskel-gtk
Package-Type: udeb
Architecture: any
Depends: ${misc:Depends}, rootskel
Description: Additions for graphical installs to skeleton root filesystem (debian-installer)

## rootskel-gtk 1.31

=== src/usr/share/graphics/Makefile ===
dir = usr/share/graphics

files = \
	logo_debian.png \
	logo_debian_dark.png \
	note_icon.png \
	warning_icon.png

build-local:: $(files)

clean-local::
	rm -f logo_debian.png logo_debian_dark.png

install-local:: $(outdir)
	ln -fs logo_debian.png $(outdir)/logo_installer.png
	ln -fs logo_debian_dark.png $(outdir)/logo_installer_dark.png

logo_debian.png: logo_debian_lines.svg
	rsvg-convert $< > $@

logo_debian_dark.png: logo_debian_lines_dark.svg
	rsvg-convert $< > $@

include ../../../../Makefile.inc

=== debian/changelog ===
rootskel-gtk (1.31) unstable; urgency=medium

  * Use the Jessie Lines theme for the installer
  * Create a dark Lines banner to replace the dark Joy banner too

 -- Didier Raboud <odyx@debian.org>  Mon, 22 Dec 2014 21:48:18 +0100

rootskel-gtk (1.30) unstable; urgency=medium

  * Update gtk-set-font to learn a new mapping: pa → "Lohit Punjabi".

 -- Cyril Brulebois <kibi@debian.org>  Sun, 14 Sep 2014 18:19:46 +0200

rootskel-gtk (1.29) unstable; urgency=medium

  * Add support for dpms={false,true} through the kernel command line
    to pass {-dpms,+dpms} to Xorg (Closes: #695270).
  * debian/rules: Make only build-arch generate debian/templates; it's
    sufficient anyway, and otherwise the build target gets messed up
    somehow and one gets an empty binary.
  * Add a banner for theme=dark, thanks to Adrien Aubourg, and adapt the
    Makefile accordingly to handle both banners (Closes: #696969).
    cdebconf's gtk backend can then load logo_installer_dark.png as the
    banner (See: #740358).

 -- Cyril Brulebois <kibi@debian.org>  Tue, 04 Mar 2014 17:54:22 +0100

rootskel-gtk (1.28) unstable; urgency=low

  [ Dmitrijs Ledkovs ]
  * Set debian source format to '3.0 (native)'.
  * Bump debhelper compat level to 9.
  * Set Vcs-* to canonical format.

 -- Christian Perrier <bubulle@debian.org>  Sat, 13 Jul 2013 13:54:41 +0200

=== debian/control ===
Source: rootskel-gtk
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Christian Perrier <bubulle@debian.org>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.7.0), librsvg2-bin
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/rootskel-gtk.git
Vcs-Git: git://anonscm.debian.org/d-i/rootskel-gtk.git

Package: rootskel-gtk
Package-Type: udeb
Architecture: any
Depends: ${misc:Depends}, rootskel
Description: Additions for graphical installs to skeleton root filesystem (debian-installer)

## rootskel-gtk 1.31+devuan1.1

=== src/usr/share/graphics/Makefile ===
dir = usr/share/graphics

files = \
	logo_installer.png \
	logo_installer_dark.png \
	note_icon.png \
	warning_icon.png

build-local:: $(files)

clean-local::
	rm -f logo_installer.png logo_installer_dark.png

install-local:: $(outdir)
	ln -fs logo_installer.png $(outdir)/logo_installer.png
	ln -fs logo_installer_dark.png $(outdir)/logo_installer_dark.png

logo_installer.png: logo_installer.svg
	rsvg-convert $< > $@

logo_installer_dark.png: logo_installer_dark.svg
	rsvg-convert $< > $@

include ../../../../Makefile.inc

=== debian/changelog ===
rootskel-gtk (1.31+devuan1.1) unstable; urgency=medium

  * update-vcs-tags

 -- Daniel Reurich <daniel@centurion.net.nz>  Sat, 23 Apr 2016 14:40:57 +0000

rootskel-gtk (1.31+devuan1.0) unstable; urgency=low

  [ hellekin ]
  * Replace Debian logos with Devuan's
  * Purpy themes (refs #6)

  [ Daniel Reurich ]
  * Change maintainers for Devuan fork

 -- Daniel Reurich <centurion@zephaniah.centurion.net.nz>  Fri, 22 Apr 2016 23:08:36 +1200

=== debian/control ===
Source: rootskel-gtk
Section: debian-installer
Priority: optional
Maintainer: Hellekin <hellekin@dyne.org>
Uploaders: Daniel Reurich <centurion_dan@devuan.org>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.7.0), librsvg2-bin
Vcs-Browser: https://git.devuan.org/devuan-packages/rootskel-gtk
Vcs-Git: https://git.devuan.org/devuan-packages/rootskel-gtk.git

Package: rootskel-gtk
Package-Type: udeb
Architecture: any
Depends: ${misc:Depends}, rootskel
Description: Additions for graphical installs to skeleton root filesystem (debian-installer)

## rootskel-gtk 1.32ubuntu1

=== src/lib/Makefile ===
dir = lib

subdirs = \
	debian-installer.d

include ../../Makefile.inc

=== src/usr/share/themes/Makefile ===
dir = usr/share/themes

files = \
	Clearlooks/gtk-2.0/gtkrc \
	dark/gtk-2.0/gtkrc

#  I should put Makefiles in all intermediate directories, let's get lazy
build-recursive clean-recursive install-recursive:
	-@:

build clean:
	-@:

install:
	for file in $(files); \
	do \
	  mkdir -p `dirname $(DESTDIR)/$(dir)/$$file`; \
	  cp $$file $(DESTDIR)/$(dir)/$$file; \
	done

=== src/usr/share/themes/Clearlooks/Makefile ===
dir = usr/share/themes/Clearlooks

subdirs = \
	gtk-2.0

include ../../../../../Makefile.inc

=== debian/changelog ===
rootskel-gtk (1.32ubuntu1) xenial; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Add Ubuntu logo.
  * Updated logo to use the modern Ubuntu logo. Behold my inkscape skills.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 24 Nov 2015 01:23:19 -0500

rootskel-gtk (1.32) unstable; urgency=medium

  * Adjust the banner files, dropping the '8' there which might be
    confusing as we're still using the Jessie theme for Stretch
    pre-releases (See: #793125).

 -- Cyril Brulebois <kibi@debian.org>  Thu, 27 Aug 2015 00:35:20 +0200

=== debian/control ===
Source: rootskel-gtk
Section: debian-installer
Priority: optional
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Christian Perrier <bubulle@debian.org>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.7.0), librsvg2-bin
XS-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/rootskel-gtk.git
XS-Debian-Vcs-Git: git://anonscm.debian.org/d-i/rootskel-gtk.git
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/rootskel-gtk/ubuntu

Package: rootskel-gtk
Package-Type: udeb
Architecture: any
Depends: ${misc:Depends}, rootskel
Description: Additions for graphical installs to skeleton root filesystem (debian-installer)

## rootskel-gtk 1.36

=== src/usr/bin/Makefile ===
dir = usr/bin

files_exec = \
	gtk-set-font \
	gtk-set-theme

include ../../../Makefile.inc

=== src/usr/share/graphics/Makefile ===
dir = usr/share/graphics

files = \
	logo_debian.png \
	logo_debian_dark.png \
	note_icon.png \
	warning_icon.png

build-local:: $(files)

clean-local::
	rm -f logo_debian.png logo_debian_dark.png

install-local:: $(outdir)
	ln -fs logo_debian.png $(outdir)/logo_installer.png
	ln -fs logo_debian_dark.png $(outdir)/logo_installer_dark.png

logo_debian.png: logo_debian_softwaves.svg
	rsvg-convert $< > $@

logo_debian_dark.png: logo_debian_softwaves_dark.svg
	rsvg-convert $< > $@

include ../../../../Makefile.inc

=== debian/changelog ===
rootskel-gtk (1.36) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Customize GTK controls colors to match soft Waves theme colors.
  * Upgrade soft Waves theme banners to latest versions provided by Juliette
    Taka BELIN.
  * Improve banner for high contrast installer.
  * Added myself to the list of uploaders.

 -- Christian Perrier <bubulle@debian.org>  Fri, 09 Dec 2016 05:58:53 +0100

rootskel-gtk (1.35) unstable; urgency=medium

  * Use "Noto Sans Sinhala" for Sinhala (si_*) locales

 -- Christian Perrier <bubulle@debian.org>  Sat, 19 Nov 2016 16:13:44 +0100

rootskel-gtk (1.34) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Adapt standard and dark installer banners to Stretch default theme
    Soft Waves, by Juliette Taka BELIN (Closes: #793125).

 -- Cyril Brulebois <kibi@debian.org>  Mon, 31 Oct 2016 15:17:48 +0100

rootskel-gtk (1.33) unstable; urgency=medium

  [ Colin Watson ]
  * Use HTTPS for Vcs-* URLs, and link to cgit rather than gitweb.

 -- Christian Perrier <bubulle@debian.org>  Fri, 12 Feb 2016 05:55:22 +0100

=== debian/control ===
Source: rootskel-gtk
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Christian Perrier <bubulle@debian.org>,
           Aurélien COUDERC <zecoucou@free.fr>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.7.0), librsvg2-bin
Vcs-Browser: https://anonscm.debian.org/cgit/d-i/rootskel-gtk.git
Vcs-Git: https://anonscm.debian.org/git/d-i/rootskel-gtk.git

Package: rootskel-gtk
Package-Type: udeb
Architecture: any
Depends: ${misc:Depends}, rootskel
Description: Additions for graphical installs to skeleton root filesystem (debian-installer)

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 %:
 	dh $@
 
-build: debian/templates
+build-arch: debian/templates
 
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

## rootskel-gtk 1.36+devuan1.3

=== src/usr/share/graphics/Makefile ===
dir = usr/share/graphics

files = \
	logo_installer_darkpurpy.png \
	logo_installer_darkpurpy_dark.png \
	note_icon.png \
	warning_icon.png

build-local:: $(files)

clean-local::
	rm -f logo_installer.png logo_installer_dark.png

install-local:: $(outdir)
	ln -fs logo_installer_darkpurpy.png $(outdir)/logo_installer.png
	ln -fs logo_installer_darkpurpy_dark.png $(outdir)/logo_installer_dark.png

logo_installer_darkpurpy.png: logo_installer_darkpurpy.svg
	rsvg-convert $< > $@

logo_installer_darkpurpy_dark.png: logo_installer_darkpurpy_dark.svg
	rsvg-convert $< > $@

include ../../../../Makefile.inc

=== debian/changelog ===
rootskel-gtk (1.36+devuan1.3) ascii; urgency=medium

  [ KatolaZ ]
  * adjusted Makefiles for installer logos

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Tue, 13 Feb 2018 10:35:28 +0000

rootskel-gtk (1.36+devuan1.2) ascii; urgency=medium

  * small change in logo generation

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Tue, 13 Feb 2018 00:04:59 +0000

rootskel-gtk (1.36+devuan1.1) ascii; urgency=medium

  [ KatolaZ ]
  * amended logo banner -- png from golinux

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Mon, 12 Feb 2018 23:57:50 +0000

rootskel-gtk (1.36+devuan1) ascii; urgency=medium

  [ KatolaZ ]
  * updated logo to dark-purpy

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Mon, 12 Feb 2018 01:06:42 +0000

## rootskel-gtk 1.37ubuntu1

=== src/etc/Makefile ===
dir = etc

subdirs = \
	gtk-2.0

include ../../Makefile.inc

=== src/usr/share/Makefile ===
dir = usr/share

subdirs = \
	graphics \
	themes

include ../../../Makefile.inc

=== src/usr/share/graphics/Makefile ===
dir = usr/share/graphics

files = \
	logo_ubuntu.png \
	note_icon.png \
	warning_icon.png

build-local:: $(files)

clean-local::
	rm -f logo_debian.png logo_debian_dark.png

install-local:: $(outdir)
	ln -fs logo_ubuntu.png $(outdir)/logo_installer.png
	ln -fs logo_ubuntu.png $(outdir)/logo_installer_dark.png

include ../../../../Makefile.inc

=== src/usr/share/themes/Clearlooks/gtk-2.0/Makefile ===
dir = usr/share/themes/Clearlooks/gtk-2.0

files = \
	gtkrc

include ../../../../../../Makefile.inc

=== debian/changelog ===
rootskel-gtk (1.37ubuntu1) artful; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Add Ubuntu logo.
    - Use HTTPS for Vcs-Bzr URL.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Wed, 21 Jun 2017 20:04:27 +0530

rootskel-gtk (1.37) unstable; urgency=medium

  [ Samuel Thibault ]
  [ Sagar सागर]
  * Increase font size of mr_IN locale (Closes: #863952).

 -- Christian Perrier <bubulle@debian.org>  Tue, 20 Jun 2017 07:55:47 +0200

rootskel-gtk (1.36ubuntu1) artful; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Add Ubuntu logo.
  * Use HTTPS for Vcs-Bzr URL.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Fri, 12 May 2017 09:30:57 +0530

=== debian/control ===
Source: rootskel-gtk
Section: debian-installer
Priority: optional
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Christian Perrier <bubulle@debian.org>,
           Aurélien COUDERC <zecoucou@free.fr>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.7.0), librsvg2-bin
XS-Debian-Vcs-Browser: https://anonscm.debian.org/cgit/d-i/rootskel-gtk.git
XS-Debian-Vcs-Git: https://anonscm.debian.org/git/d-i/rootskel-gtk.git
Vcs-Bzr: https://bazaar.launchpad.net/~ubuntu-core-dev/rootskel-gtk/ubuntu

Package: rootskel-gtk
Package-Type: udeb
Architecture: any
Depends: ${misc:Depends}, rootskel
Description: Additions for graphical installs to skeleton root filesystem (debian-installer)

## rootskel-gtk 1.41

=== Makefile ===
subdirs = \
	src \

build: build-recursive

install:
	@$(MAKE) install -C src DESTDIR=$(CURDIR)/debian/rootskel-gtk/

clean: clean-recursive

build-recursive clean-recursive:
	@target=`echo $@ | sed s/-recursive//`; \
	list='$(subdirs)'; \
	for subdir in $$list; do \
	  echo "Making install in $$subdir"; \
	  (cd $$subdir && $(MAKE) $$target) || exit 1; \
	done

=== src/Makefile ===
dir =

subdirs = \
	etc \
	lib \
	usr

include ../Makefile.inc

=== src/usr/share/graphics/Makefile ===
dir = usr/share/graphics

files = \
	logo_debian.png \
	logo_debian_dark.png \
	note_icon.png \
	warning_icon.png

build-local:: $(files)

clean-local::
	rm -f logo_debian.png logo_debian_dark.png

install-local:: $(outdir)
	ln -fs logo_debian.png $(outdir)/logo_installer.png
	ln -fs logo_debian_dark.png $(outdir)/logo_installer_dark.png

logo_debian.png: logo_debian_futureprototype.svg
	rsvg-convert $< > $@

logo_debian_dark.png: logo_debian_futureprototype_dark.svg
	rsvg-convert $< > $@

include ../../../../Makefile.inc

=== debian/changelog ===
rootskel-gtk (1.41) unstable; urgency=medium

  * Update png files for futureprototype theme
  * Update gtkrc for futureprorotype colours
  * debian/control:
    - Drop versioned dependency on dpkg-dev
    - Add self to uploaders
  * Add TODO item to move to machine-readable copyright file

 -- Jonathan Carter <jcc@debian.org>  Fri, 18 Jan 2019 09:54:16 +0200

rootskel-gtk (1.40) unstable; urgency=medium

  * Team upload
  * Use 'Noto Serif Gujarati' font for Gujarati now. (Closes: #911705,
    #915825)

 -- Holger Wansing <hwansing@mailbox.org>  Thu, 10 Jan 2019 23:05:55 +0100

rootskel-gtk (1.39) unstable; urgency=medium

  [ Samuel Thibault ]
  * Apply font zoom set by cdebconf shortcut.

  [ Holger Wansing ]
  * Remove trailing whitespace from changelog file, to fix lintian tag.

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 23 Dec 2018 19:25:45 +0100

rootskel-gtk (1.38) unstable; urgency=medium

  * Team upload

  [ Cyril Brulebois ]
  * Update Vcs-{Browser,Git} to point to salsa (alioth's replacement).

 -- Holger Wansing <hwansing@mailbox.org>  Mon, 27 Aug 2018 20:28:44 +0200

## rootskel-gtk 1.41A~5.0.0.202005081710

=== src/usr/share/graphics/Makefile ===
dir = usr/share/graphics

files = \
	logo_debian.png \
	logo_debian_dark.png \
	note_icon.png \
	warning_icon.png

build-local:: $(files)

clean-local::
	$(RM) $(files)

install-local:: $(outdir)
	ln -fs logo_debian.png $(outdir)/logo_installer.png
	ln -fs logo_debian_dark.png $(outdir)/logo_installer_dark.png

logo_debian.png: logo_ucs.svg
	rsvg-convert $< > $@

logo_debian_dark.png: logo_ucs.svg
	rsvg-convert $< > $@

note_icon.png warning_icon.png: %: %.b64
	base64 -d $< > $@

include ../../../../Makefile.inc

=== debian/changelog ===
rootskel-gtk (1.41A~5.0.0.202005081710) ucs5-0-0-0; urgency=low

  * UCS auto build. The following patches have been applied to the original source package
    0001-Bug-35371-updated-GTK-theme
    0002-replace_banner
    0003-Bug-47090-disable-screen-blanking

 -- Univention builddaemon <buildd@univention.de>  Fri, 08 May 2020 17:10:08 +0200

=== debian/control ===
Source: rootskel-gtk
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Christian Perrier <bubulle@debian.org>,
           Aurélien COUDERC <zecoucou@free.fr>,
           Jonathan Carter <jcc@debian.org>
Build-Depends: debhelper (>= 9), dpkg-dev, librsvg2-bin
Vcs-Browser: https://salsa.debian.org/installer-team/rootskel-gtk
Vcs-Git: https://salsa.debian.org/installer-team/rootskel-gtk.git

Package: rootskel-gtk
Package-Type: udeb
Architecture: any
Depends: ${misc:Depends}, rootskel
Description: Additions for graphical installs to skeleton root filesystem (debian-installer)

## rootskel-gtk 1.41pureos1

=== src/usr/share/graphics/Makefile ===
dir = usr/share/graphics

files = \
	logo_pureos.png \
	note_icon.png \
	warning_icon.png

build-local:: $(files)

clean-local::
	rm -f logo_debian.png logo_debian_dark.png

install-local:: $(outdir)
	ln -fs logo_pureos.png $(outdir)/logo_installer.png
	ln -fs logo_pureos.png $(outdir)/logo_installer_dark.png

logo_debian.png: logo_debian_futureprototype.svg
	rsvg-convert $< > $@

logo_debian_dark.png: logo_debian_futureprototype_dark.svg
	rsvg-convert $< > $@

include ../../../../Makefile.inc

=== debian/changelog ===
rootskel-gtk (1.41pureos1) green; urgency=medium

  [ Jonas Smedegaard ]
  * Fork for PureOS:
    + Set PureOS Maintainers as maintainer,
      leaving original as XSBC-Original-Maintainer.
    + Drop uploaders (package is team-maintained for PureOS).
    + Replace Vcs-* fields.
    + Add git-buildpackage config:
      - Set branches.
      - Use purism/* namespace for release tags.
      - Enable pristine-tar.
      - Sign tags.
    + Add README.source.

  [ Hema Prathaban (Pureos Developer) ]
  * Rebrand for PureOS.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 28 Jan 2019 15:42:10 +0100

=== debian/control ===
Source: rootskel-gtk
Section: debian-installer
Priority: optional
Maintainer: PureOS Maintainers <pureos-project@lists.puri.sm>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Build-Depends: debhelper (>= 9), dpkg-dev, librsvg2-bin
Vcs-Git: https://source.puri.sm/pureos/core/rootskel-gtk.git
Vcs-Browser: https://source.puri.sm/pureos/core/rootskel-gtk

Package: rootskel-gtk
Package-Type: udeb
Architecture: any
Depends: ${misc:Depends}, rootskel
Description: Additions for graphical installs to skeleton root filesystem (debian-installer)
